const { logger: { error }, pusher } = require('../util')

const { name, errCodes } = require('./api')

module.exports = res => {
  const logMsgs = []
  const pushMsgs = pusher(logMsgs)

  const {
    errorCode,
    query,
    basic,
    web
  } = res

  pushMsgs()

  if (errorCode) {
    error(errCodes[errorCode])
  } else {
    pushMsgs(query, 2, 1)

    if (basic) {
      pushMsgs()

      const {
        explains,
        'uk-phonetic': ukPhonetic,
        'us-phonetic': usPhonetic,
        phonetic
      } = basic

      if (ukPhonetic || usPhonetic) {
        const ukPhStr = ukPhonetic ? `英 [${ukPhonetic}]  ` : ''
        const usPhStr = usPhonetic ? `美 [${usPhonetic}]` : ''

        pushMsgs(ukPhStr + usPhStr)
      } else if (phonetic) {
        pushMsgs(`[${phonetic}]`)
      }

      explains.forEach(explain => {
        pushMsgs(explain, 4, 1)
      })
    }

    if (web) {
      pushMsgs()
      pushMsgs('网络释义', 2)

      web.forEach(({ key, value }) => {
        pushMsgs(`${key}  ${value.join()}`, 4, 1)
      })
    }

    pushMsgs()
    pushMsgs(`Powered by ${name}`, 2, 1)
  }

  return logMsgs
}
