const { logger: { error }, pusher, table } = require('../util')

const { name } = require('./api')
const langs = require('./langs')

module.exports = res => {
  const logMsgs = []
  const pushMsgs = pusher(logMsgs)

  const {
    from,
    to,
    trans_result: transResult,
    error_code: errorCode,
    error_msg: errorMsg
  } = res

  pushMsgs()

  if (errorCode) {
    error(firstUpperCase(errorMsg))
  } else {
    const [{ src, dst }] = transResult

    if (src.length > 40) {
      pushMsgs(langs[from].join(' '))
      pushMsgs(src)
      pushMsgs('-----------------------------------')
      pushMsgs(langs[to].join(' '))
      pushMsgs(dst)
    } else {
      const t = table([
        [langs[from].join(' '), '=>', langs[to].join(' ')],
        [],
        [src, '=>', dst]
      ])

      pushMsgs(t, 0, 2)
    }

    pushMsgs(`Powered by ${name}`, 2, 1)
  }

  return logMsgs
}

function firstUpperCase (msg) {
  const lowerMsg = msg.toLowerCase()

  return lowerMsg[0].toUpperCase() + lowerMsg.slice(1)
}
