const url = require('url')
const crypto = require('crypto')

const config = require('./config')

module.exports = (dict, word, { from, to, fixed } = {}) => {
  const { query, key } = dict

  query.q = word
  query.from = from || config.from
  query.to = to || config.to
  query.salt = fixed || Number.parseInt(Math.random() * 1e10, 10)

  const { q, appid, salt } = query

  query.sign = md5(appid + q + salt + key)

  return url.format(dict)
}

function md5 (str) {
  return crypto.createHash('md5').update(str).digest('hex')
}
