const { expect } = require('chai')

const query = require('../lib/query')
const trans = require('../lib/trans')
const request = require('../lib/util/request')

const testQuery = require('./mock/query')
const testTrans = require('./mock/trans')

describe('request.js', () => {
  it('should request to correct explains', done => {
    Promise
      .all([
        request(query, testQuery.tested.word),
        request(trans, testTrans.tested.word)
      ])
      .then(res => {
        expect(res).to.deep.equal([
          testQuery.expected.result,
          testTrans.expected.result
        ])

        done()
      })
  })
})
